/*************************************************************************************************************************
7. Create Covariate File  
**************************************************************************************************************************/

%let basename = C:/Public_Training_Materials/Lab;	

libname in "&basename./codes";
libname out "&basename./public_mpl1r_wp001_synpufs_v01/inputfiles";
%let wpnum = wp001 ; 

proc sort data=in.covariates; by studyname; run;

data out.&wpnum._covariates;
	format studyname $50. covarnum 8. code $50. stockgroup $30. codecat $2. codetype $3. 
	       caresettingprincipal $30. covfrom 8. covto 8. keep 8. codedays 8. codesupply 8. excludesupply $1.;
	set in.covariates;

by studyname;
retain covarnum 0;
if first.studyname then covarnum + 1;

stockgroup = compress (studyname, ", './{};[]_-()%");
studyname = studyname;
codecat = codecat1; 
codetype = codetype1;
code = compress (code1, '.');
caresettingprincipal = " ";
covfrom = -183;
covto = -1;
keep = 0;
codedays = 1;
codesupply = .;
excludesupply = "";
drop codecat1 codetype1 code1; 
run;
